Page MenuHomePhabricator

Support Q3 Discovery goal: Prototype and test overhaul UI of search page
Closed, ResolvedPublic

Description

One of the goals for the search team is to provide an updated UI to the search results page. This will require A/B tests to be run.

After a conversation with the community, we have decided to run tests on Persian, Catalan, Italian and Polish Wikipedias; testing will begin in mid to late January 2017.

In March we decided to run additional tests on 4 additional communities. These four communities are the Arabic, French, German, and Russian Wikipedias.

In my role I'll help to address community feedback and help the team communicate out changes as the final UI develops.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 9:58 PM
CKoerner_WMF updated the task description. (Show Details)Jan 3 2017, 9:59 PM
CKoerner_WMF updated the task description. (Show Details)
CKoerner_WMF triaged this task as Normal priority.Jan 4 2017, 4:38 PM
CKoerner_WMF updated the task description. (Show Details)Mar 10 2017, 2:39 PM

Deb, the product manager for search front end, recently published a short update to the technical communities regarding the changes to the search results UI.

https://lists.wikimedia.org/pipermail/discovery/2017-March/001460.html

Next steps are to help the product manager organize a plan for communicating the near to mid-term plans for the proposed UI changes to search. While technical work is ongoing, much of the backend improvements have been made, and UI elements are in a good enough state to start sharing more broadly with folks. We'll be doing the following to start the conversation early with a few of our communities.

  • Draft a message to wikimedia-l explaining the next steps coming for search results - the A/B tests underway and planned, what features will be coming to production first, and an opportunity to provide feedback and raise concerns early in the process.
    • We'll also use some of the same language to send a message to the Village Pumps for the top 10 or so Wikipedias again, covering what work has been done, what is next, and our target for the first 'big' changes in the coming months. We'll again open the conversation for input.
  • Write up a blog post that covers the next steps and eventual goals, perhaps with less technical detail, to reach the broader Wikimedia audience (and beyond).
CKoerner_WMF closed this task as Resolved.Apr 3 2017, 4:37 PM

Resolving this quarter's work and creating a new task for the coming quarter (Q4)